Bug 629939

Summary: POXLIFF errors when downloading XLIFF files from Pootle
Product: [Fedora] Fedora Reporter: Dwayne Bailey <dwayne>
Component: translate-toolkitAssignee: Dwayne Bailey <dwayne>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: dwayne, i18n-bugs, roozbeh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: translate-toolkit-1.8.1-1.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-10 20:33:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dwayne Bailey 2010-09-03 10:55:42 UTC
[Fri Sep 03 12:48:50 2010] [error] Traceback (most recent call last):
[Fri Sep 03 12:48:50 2010] [error]   File "/usr/lib/python2.6/site-packages/django/core/handlers/base.py", line 100, in get_response
[Fri Sep 03 12:48:50 2010] [error]     response = callback(request, *callback_args, **callback_kwargs)
[Fri Sep 03 12:48:50 2010] [error]   File "/usr/lib/python2.6/site-packages/pootle_store/views.py", line 58, in export_as_xliff
[Fri Sep 03 12:48:50 2010] [error]     outputstore = store.convert(PoXliffFile)
[Fri Sep 03 12:48:50 2010] [error]   File "/usr/lib/python2.6/site-packages/pootle_store/models.py", line 789, in convert
[Fri Sep 03 12:48:50 2010] [error]     output.addunit(unit.convert(output.UnitClass))
[Fri Sep 03 12:48:50 2010] [error]   File "/usr/lib/python2.6/site-packages/pootle_store/models.py", line 233, in convert
[Fri Sep 03 12:48:50 2010] [error]     newunit.setid(self.getid())
[Fri Sep 03 12:48:50 2010] [error]   File "/usr/lib/python2.6/site-packages/translate/storage/poxliff.py", line 204, in setid
[Fri Sep 03 12:48:50 2010] [error]     self.xmlelement.set("id", id)
[Fri Sep 03 12:48:50 2010] [error]   File "lxml.etree.pyx", line 634, in lxml.etree._Element.set (src/lxml/lxml.etree.c:31899)
[Fri Sep 03 12:48:50 2010] [error]   File "apihelpers.pxi", line 488, in lxml.etree._setAttributeValue (src/lxml/lxml.etree.c:13905)
[Fri Sep 03 12:48:50 2010] [error]   File "apihelpers.pxi", line 1295, in lxml.etree._utf8 (src/lxml/lxml.etree.c:20199)
[Fri Sep 03 12:48:50 2010] [error] ValueError: All strings must be XML compatible: Unicode or ASCII, no NULL bytes

Comment 1 Dwayne Bailey 2010-09-03 10:57:42 UTC
This commit upstream should fix the issue:
http://translate.svn.sourceforge.net/viewvc/translate/src/trunk/translate/storage/poxliff.py?r1=15615&r2=15629

Comment 2 Fedora Admin XMLRPC Client 2010-10-22 18:45:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2010-11-27 22:23:04 UTC
translate-toolkit-1.8.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/translate-toolkit-1.8.1-1.fc14

Comment 4 Fedora Update System 2010-11-28 20:42:28 UTC
translate-toolkit-1.8.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update translate-toolkit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/translate-toolkit-1.8.1-1.fc14

Comment 5 Fedora Update System 2010-12-10 20:33:41 UTC
translate-toolkit-1.8.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.